﻿@model EpamMVC.WEB.Models.Layout.HeaderViewModel

<header class="header">

    <div class="container">
        <div class="welcome d-none d-sm-flex">
            <a href="/" class="header__logo">
                <img src="/Content/Upload/logo.png" alt="EasyTravel"/>
            </a>
            @if (Request.IsAuthenticated && User.IsInRole("Администраторы"))
            {
                <a class="icon_link dashboard d-lg-block"
                   href="@Url.Action("Index", "HomeAdmin", new {area = "admin"})">
                    Админ
                </a>
            }
            else
            {
                <div class="phone">
                    <a class="phone__number" href="tel:800000000">
                        800 00 00 00
                    </a>
                    <div class="phone__label">
                        Многоканальный 24/7
                    </div>
                </div>
                <div class="phone">
                    <a class="phone__number" href="tel:800000000">
                        800 00 00 00
                    </a>
                    <div class="phone__label">
                        Для экстренных звонков
                    </div>
                </div>
            }


            <a class="icon_link callback js_callback d-none d-lg-block" data-url="@Url.Action("SubmitCallbackRequestAjax", "Callback")" href="#">
                Подобрать тур
            </a>

            <a class="icon_link map d-none d-lg-block" href="@Url.Action("Contact", "Home")">
                Офисы продаж
            </a>

            @if (Request.IsAuthenticated)
            {
                <a
                    class="icon_link cabinet d-lg-block"
                    href="@Url.Action("Index", "Manage")">
                    Личный кабинет

                </a>

                <a class="icon_link logoff d-none d-lg-block" href="@Url.Action("LogOff", "Account")">
                    Выход
                </a>
            }
            else
            {
                <a class="icon_link cabinet d-none d-lg-block" href="@Url.Action("Login", "Account")">
                    Личный кабинет
                </a>
            }
        </div>
    </div>

    <nav class="navbar navbar-expand-lg navbar-dark">
        <div class="container">

            <a class="navbar-brand d-lg-none" href="/">Easy Travel</a>

            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#menu_main">
                <span class="navbar-toggler-icon"></span>
            </button>

            <div class="collapse navbar-collapse" id="menu_main">

                <ul class="navbar-nav mr-auto">
                    <li class="nav-item dropdown">
                        <a class="nav-link dropdown-toggle" href="#" data-toggle="dropdown">
                            Туры
                        </a>

                        <div class="dropdown-menu">
                            <a class="dropdown-item" href="@Url.Action("index", "Catalog")">
                                Экскурсионные туры
                            </a>
                            <a class="dropdown-item" href="@Url.Action("index", "Catalog")">
                                Автобусные туры
                            </a>
                            <a class="dropdown-item" href="@Url.Action("index", "Catalog")">
                                Горнолыжные туры
                            </a>
                            <a class="dropdown-item" href="@Url.Action("index", "Catalog")">
                                Экзотические туры
                            </a>
                            <a class="dropdown-item" href="@Url.Action("index", "Catalog")">
                                Свадебные туры
                            </a>
                        </div>
                    </li>

                    @* Мероприятия *@
                    @* Work & Travel *@
                    @* Туры на Новый Год и Рождество *@

                    <li>
                        <a class="nav-link" href="@Url.Action("index", "Catalog")">
                            Страны
                        </a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="@Url.Action("index", "Catalog")">
                            Акции
                        </a>
                    </li>
                    <li class="nav-item dropdown">
                        <a class="nav-link" data-toggle="dropdown" href="#">
                            Услуги
                        </a>
                        <div class="dropdown-menu">
                            <a class="dropdown-item" href="@Url.Action("index", "Catalog")">
                                Страхование
                            </a>
                            <a class="dropdown-item" href="@Url.Action("index", "Catalog")">
                                Визовая поддержка
                            </a>
                            <a class="dropdown-item" href="@Url.Action("index", "Catalog")">
                                Телефонные карты
                            </a>
                            <a class="dropdown-item" href="@Url.Action("index", "Catalog")">
                                Загранпаспорта
                            </a>
                            <a class="dropdown-item" href="@Url.Action("index", "Catalog")">
                                Рассрочка на туры
                            </a>
                        </div>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="@Url.Action("Contact", "Home")">
                            О компании
                        </a>
                    </li>
                </ul>


            </div>
        </div>
    </nav>

</header>
